# Woodburn Bot
Discord bot for the Woodburn server.
This bot adds some Handshake related commands to the server.

## Commands

- `/ping` - Check if the bot is online
- `/dig <domain>` - Get the DNS records for a domain
- `/curl <url>` - Get the HTTPS response headers for a URL
- `/shortlink <url>` - Shorten a URL using Kutt.it (requires a Kutt API key & admin role)
- `/botstatus` - Update the bot status (requires admin role)
- `/invite` - Get an invite link for the Bot (not implemented properly dynamically yet)


# Setup

## Docker
The easiest way to run this bot is to use Docker. You can use the following command to run the bot:
```bash
docker run -d -e DISCORD_TOKEN=<YOUR-BOT-TOKEN> -e LINK_API_KEY=<KUTT-API-KEY> -e LINK_URL=<KUTT-URL> -e LOG_CHANNEL=<DISCORD-CHANNEL-ID> git.woodburn.au/nathanwoodburn/woodburn-bot:latest
```

## Manual
If you don't want to use Docker, you can run the bot manually.
```bash
git clone https://git.woodburn.au/nathanwoodburn/woodburn-bot.git
cd woodburn-bot
python3 -m pip install -r requirements.txt
cp .env.example .env
# Edit .env and fill in your info
python3 main.py
```